For the complete documentation index, see llms.txt. This page is also available as Markdown.

Locate a SIM

Interrogates the network for current location information. If the device is offline, or the current location is not available, returns the last recorded value.

Identify the SIM using either iccid or msisdn.

Optional fields

Send null without quotes for any object you do not want to set. The value remains as previously set. To set a new value, replace null with the value in quotes. To remove an existing value, send an empty string.

post
Autorizações
PHPSESSIDstringObrigatório

The session cookie established when the user logs in. Sent as Cookie: PHPSESSID=<CookieNumber>.

The Location API username and password are sent separately, in the request body of each call.

Corpo
e
Respostas
200

The request was processed. Check status.status to determine whether the lookup succeeded.

application/json
iccidstringOpcional

The unique Integrated Circuit Card Identifier for the located SIM.

Example: 8944500000000000000
msisdnstringOpcional

The unique primary SIM phone number (Mobile Station International ISDN Number).

Example: 447700900000
latnumber · doubleOpcional

Latitude value of the last cell mast that the SIM used.

Example: 51.2394
lonnumber · doubleOpcional

Longitude value of the last cell mast that the SIM used.

Example: -0.6036
countrynamestringOpcional

The last recorded country the SIM was in.

Example: United Kingdom
countrycodestringOpcional

The ISO 3166 Alpha-2 code of the last recorded country the SIM was in.

Example: GB
timezonestringOpcional

The TZ database name of the last recorded time zone the SIM was in.

Example: Europe/London
request_idstringOpcional

The returned request identifier, for tracking responses.

Example: 42
post/index/locatedevice
POST /index/locatedevice HTTP/1.1
Host: location.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "request_id": "42",
  "iccid": "8944500000000000000",
  "username": "ExampleUsername",
  "password": "ExamplePassword"
}
200

The request was processed. Check status.status to determine whether the lookup succeeded.

{
  "iccid": "8944500000000000000",
  "msisdn": "447700900000",
  "lat": 51.2394,
  "lon": -0.6036,
  "countryname": "United Kingdom",
  "countrycode": "GB",
  "timezone": "Europe/London",
  "status": {
    "status": "OK",
    "errorCode": "",
    "errorMessage": ""
  },
  "request_id": "42"
}

Atualizado

Isto foi útil?